package com.devdaily.meditation;

import java.awt.BorderLayout;
import javax.swing.JFrame;

/**
 * Copyright 2009 Alvin J. Alexander, devdaily.com.
 * 
 * This file is part of my "Meditation" application.
 *
 * The Meditation application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Meditation application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Meditation application. If not, see <http://www.gnu.org/licenses/>.
 *
 */
public class MeditationMainFrame extends JFrame
{

  private MeditationPanel meditationPanel;
  
  public MeditationMainFrame(MeditationPanel meditationPanel)
  {
    this.meditationPanel = meditationPanel;

    // i don't really like having a title on the frame so i took this off
    //setTitle("DevDaily.com Meditation App");
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    getContentPane().setLayout(new BorderLayout());
    getContentPane().add(meditationPanel,BorderLayout.CENTER);
    pack();
    setResizable(false);
  }
}
